Bug 634777 - Firstboot does not show translations in hardware profile screen
Firstboot does not show translations in hardware profile screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-16 20:07 EDT by Igor Pires Soares
Modified: 2012-08-16 18:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (203.63 KB, image/png)
2010-10-02 01:09 EDT, Igor Pires Soares
no flags Details

  None (edit)
Description Igor Pires Soares 2010-09-16 20:07:36 EDT
Description of problem:
Firstboot is not showing translations in smolt hardware profile screen for pt_BR and es_ES. Probably this bug is also affecting other languages.

Version-Release number of selected component (if applicable):
firstboot-1.113-2.fc14.x86_64
smolt-1.4.2.2-3.fc4.noarch

Actual results:
All strings are displayed in English.

Expected results:
Translated strings should be displayed rather than English ones.
Comment 1 Adam Williamson 2010-09-27 21:44:21 EDT
Beta's now out, so moving from Beta nice-to-have list to Final nice-to-have list.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adam Williamson 2010-10-01 17:01:30 EDT
Discussed at the 2010-10-01 nice-to-have / blocker review meeting. We decided we needed more information on this bug to assess its NTH status.

Can you provide a screenshot? We want to be clear if this is *everything* on the smolt page, or just the profile itself (which we think can't be translated). Is this a case of translations not being available, or a case where the translations are available but aren't being used? Thanks.
Comment 3 Igor Pires Soares 2010-10-02 01:09:35 EDT
Created attachment 451159 [details]
Screenshot

The profile itself is translated as well as most strings there. But the main string explaining about the profile is missing translations.

I checked the .PO and the string is translated.
Comment 4 Adam Williamson 2010-10-08 14:39:31 EDT
Discussed at the 2010-10-08 blocker/nth review meeting, accepted as NTH. Martin, could you please check this out? Igor, if you can find the problem on the firstboot side, please do post it...thanks!
Comment 5 Igor Pires Soares 2010-10-08 18:39:38 EDT
It looks like smolt's .POT file is outdated (2009-08-08).

I created a new .POT file and figured out that there are a some new strings. Then I merged it against pt_BR.po and that particular untranslated string in the screeshot was marked as fuzzy.

Updating the .POT file at git might fix it. That would generate some string freeze breaks but having a fix is better than no fix at all.

I tested this using smolt's "next" branch. I'm not sure if that is the one used for F14. What also looks odd to me is that when testing against the "master" branch I found less changes in the .POT file.
Comment 6 Adam Williamson 2010-11-01 19:00:56 EDT
Removing F14 NTH status as F14 is now out.

Remaining open nice-to-have issues do NOT automatically become nice-to-have issues for Fedora 15. If you believe a Fedora 14 issue which was accepted as
nice-to-have but not resolved in time for release should also qualify for
nice-to-have status for Fedora 15, please re-propose it as nice-to-have for
Fedora 15.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Piotr Drąg 2010-12-14 09:19:21 EST
Firstboot's POT file has been updated.
Comment 8 Piotr Drąg 2010-12-14 09:20:46 EST
I'm sorry, it's not the right component.
Comment 9 Fedora Admin XMLRPC Client 2011-02-08 16:15:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Piotr Drąg 2012-04-03 12:42:17 EDT
Is it still an issue in current releases?
Comment 11 Fedora End Of Life 2012-08-16 18:23:42 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.